package util

import groovy.transform.CompileStatic

@CompileStatic
class CIProperties {

    public static final String CI_PROPERTIES_PREFIX = "ci"

    static String getProperty(String propertyName) {
        return findProperty(propertyName).orElseThrow { new IllegalStateException("Required CI property named '${propertyName}' was not found!") }
    }

    static Optional<String> findProperty(String propertyName) {
        return System.findGlobalProperty("${CI_PROPERTIES_PREFIX}.${propertyName}")
    }

    static List<String> getListProperty(String propertyName) {
        return findListProperty(propertyName).orElseThrow { new IllegalStateException("Required CI property named '${propertyName}' was not found!") }
    }

    static Optional<List<String>> findListProperty(String propertyName) {
        return System.findGlobalPropertyList("${CI_PROPERTIES_PREFIX}.${propertyName}")
    }
}
