package util;

import groovy.transform.CompileStatic

@CompileStatic
class DockerTags {

    static String getDockerTagForDockerfile(String dockerfileName, String baseTag) {
        return "${baseTag}${getDockerTagPostfixForDockerfile(dockerfileName)}"
    }

    static String getDockerTagPostfixForDockerfile(String dockerfileName) {
        return CIProperties.findProperty("docker.tag.${dockerfileName}.prefix")
            .orElse("")
    }

}
